package com.fuyuanshen.equipment.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class AppDeviceVo implements Serializable {

    private Long id;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备IMEI
     */
    private String deviceImei;

    /**
     * 设备MAC
     */
    private String deviceMac;

    /**
     * 通讯方式 0:4G;1:蓝牙
     */
    private Integer communicationMode;

    /**
     * 设备图片
     */
    private String devicePic;

    /**
     * 设备类型
     */
    private String typeName;

    /**
     * 蓝牙名称
     */
    private String bluetoothName;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    private Integer deviceStatus;

    /**
     * 绑定时间
     */
    private Date bindingTime;

}
