package com.fuyuanshen.mp.service;

import com.fuyuanshen.equipment.domain.UserApp;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 登录校验方法
 *
 * @author Lion Li
 */


public interface MPService {


    /**
     * 获取小程序用户信息
     *
     * @param phoneNumber 手机号
     */
    UserApp getMpUser(Long phoneNumber);

    UserApp loadUserByUsername(String username);
}
