package com.fuyuanshen.app.domain.vo;

import cn.idev.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serial;

@Data
public class AppDeviceDetailVo {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 设备ID
     */
    @ExcelProperty(value = "设备ID")
    private Long deviceId;

    /**
     * 手机号
     */
    @ExcelProperty(value = "手机号")
    private String phonenumber;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备IMEI
     */
    private String deviceImei;

    /**
     * 设备MAC
     */
    private String deviceMac;

    /**
     * 通讯方式 0:4G;1:蓝牙
     */
    private Integer communicationMode;

    /**
     * 设备图片
     */
    private String devicePic;

    /**
     * 设备类型
     */
    private String typeName;

    /**
     *  蓝牙名称
     */
    private String bluetoothName;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    private Integer deviceStatus;


    /**
     * 人员信息
     */
    private AppPersonnelInfoVo personnelInfo;

    /**
     * 发送信息
     */
    private String sendMsg;
}
